lapack (3.12.1-8ubuntu1) stonking; urgency=medium

  * Merge with Debian unstable (LP: #2138222). Remaining changes:
    - d/rules: switch sed separator for LDFLAGS to cope with dpkg (LP 2138222)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 06 Jul 2026 13:38:28 -0400

lapack (3.12.1-8) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/control: use proper team name in Maintainer field
  * Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: upgrade to format version 5
  * d/rules: use buildopts.mk to parse DEB_BUILD_OPTIONS

  [ Mo Zhou ]
  * Cherry-pick upstream commit 426641c to fix testsuite segfault for
    alpha and hppc architectures. (Closes: #1110956)

 -- Mo Zhou <lumin@debian.org>  Mon, 29 Jun 2026 21:57:07 -0700

lapack (3.12.1-7ubuntu1) resolute; urgency=medium

  * d/rules: switch sed separator for LDFLAGS to cope with dpkg (LP: #2138222)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 12 Jan 2026 13:30:09 -0500

lapack (3.12.1-7) unstable; urgency=medium

   * Team upload
   * No-change rebuild for IEEE long double on ppc64el

 -- Graham Inggs <ginggs@debian.org>  Thu, 04 Sep 2025 09:51:09 +0000

lapack (3.12.1-6) unstable; urgency=medium

  * Revise the deps for libatlas3-base (transitional) as suggested in #1110359
    Thanks to Simon McVittie for the suggestion.

 -- Mo Zhou <lumin@debian.org>  Thu, 07 Aug 2025 13:26:25 -0400

lapack (3.12.1-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix libatlas3-base: insufficient dependency on libblas3 (Closes: #1110359)

 -- Mo Zhou <lumin@debian.org>  Tue, 05 Aug 2025 16:53:57 -0400

lapack (3.12.1-4) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sat, 19 Jul 2025 21:40:05 -0400

lapack (3.12.1-3) experimental; urgency=medium

  [ Jochen Sprickerhof ]
  * Add libatlas3-base transitional dummy package (Closes: #1109176)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Jul 2025 14:35:40 +0200

lapack (3.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Mon, 27 Jan 2025 19:54:31 -0500

lapack (3.12.1-1) experimental; urgency=medium

  * New upstream version 3.12.1 (Jan 2025)
  * Remove patches that were merged to upstream, and refresh remaining ones.
  * d/rules: real.3 and imag.3 no longer exists.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Tue, 14 Jan 2025 11:19:47 -0500

lapack (3.12.0-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS
    + Translate gfortran dependency to gfortran-for-host.
    + Annotate test dependency python3 with the nocheck profile.
    (Closes: #1086680)

  [ Sébastien Villemot ]
  * Bump Standards-Version to 4.7.0

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 20 Nov 2024 11:13:36 +0100

lapack (3.12.0-3) unstable; urgency=medium

  * Add Breaks of liblapacke against older liblapack.so.3 flavours.
    This prevents incorrect combinations where liblapacke needs symbols that
    were added in LAPACK 3.12, but where liblapack.so.3 flavours (liblapack3,
    libopenblas0-*, libatlas3-base) were compiled with an older LAPACK version.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 07 Feb 2024 12:30:40 +0100

lapack (3.12.0-2) unstable; urgency=medium

  * disable-b1nrm2-tests.patch: new patch, disables new tests that fail on i386
  * Drop isnan.3 manpage that conflicts with manpages-dev (Closes: #1058459)
  * d/rules: simplify the logic for getting buildflags
  * d/rules: build BLAS testsuite with -frecursive, for consistency
  * Set upstream metadata fields: Security-Contact.
  * Update standards version to 4.6.2, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 31 Jan 2024 11:32:02 +0100

lapack (3.12.0-1) experimental; urgency=medium

  * New upstream version 3.12.0 (Nov 2023)
  * Remove patches merged upstream, and quilt refresh the remaining ones.
  * Cherry-pick upstream fix for search phrase in lapack_testing.py
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Sat, 09 Dec 2023 16:42:18 -0500

lapack (3.11.0-2) unstable; urgency=medium

  * cblas64-test.patch: new patch, fixes test failure on 64-bit big endian archs
  * Fix output of CBLAS64 test printed in build log.
    It would previously print output of CBLAS tests.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 27 Nov 2022 13:21:52 +0100

lapack (3.11.0-1) unstable; urgency=medium

  * New upstream version 3.11.0
  * d/copyright: reflect upstream changes
  * Incorporate CBLAS64 into libblas64-3, since CBLAS is now buildable in 64-bit
  * d/control: drop transitional liblapack-pic package, no longer needed

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 26 Nov 2022 23:04:00 +0100

lapack (3.10.1-2) unstable; urgency=medium

  * Bump S-V to 4.6.1
  * Remove manpages with too generic name (Closes: #1011422)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 23 May 2022 09:51:12 +0200

lapack (3.10.1-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 3.10.1
  * d/copyright: reflect upstream changes
  * Drop patches applied upstream:
    + xerbla-strlen.patch
    + docsdir.patch
    + CVE-2021-4048.patch

  [ Anton Gladky ]
  * Skip reprotest

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 18 Apr 2022 21:23:06 +0200

lapack (3.10.0-2) unstable; urgency=medium

  * Team upload.
  * [8d2c868] CVE-2021-4048. Fix out-of-bounds read flaw. (Closes: #1001902)
  * [3977090] Trim trailing whitespace.
  * [3a33ecf] Use secure URI in Homepage field.
  * [4c1aef3] Update renamed lintian tag names in lintian overrides.
  * [409fef7] Apply cme fix dpkg

 -- Anton Gladky <gladk@debian.org>  Sat, 18 Dec 2021 19:02:36 +0100

lapack (3.10.0-1) unstable; urgency=medium

  * New upstream version 3.10.0
  * d/copyright: reflect upstream changes
  * Drop patches applied upstream:
    + python3.patch
    + missing-lapacke-prototypes.patch
    + combssq-nan-propagation.patch
  * Add d/upstream/metadata
  * Bump to S-V 4.6.0
  * docsdir.patch: new patch, fixes doc build directory
  * xerbla-strlen.patch: new patch, fixes FTBFS related to xerbla C
    implementation changes

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 01 Sep 2021 15:01:55 +0200

lapack (3.9.0-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Mark xerbla-c and xerbla-fortran autopkgtests as superficial
  * Bump to debhelper 13
    — drop some uses of dh-exec (but the latter is still needed for renaming)
    — simplify override_dh_auto_test rule

  [ Mo Zhou ]
  * Update my mail address in the Uploaders field.
  * Also build deprecated routines for the 64-bit lapack.

 -- Mo Zhou <lumin@debian.org>  Sat, 01 Aug 2020 22:15:54 +0800

lapack (3.9.0-2) unstable; urgency=medium

  * debian/rules: simplify using debhelper 12.8’s execute_{before,after}_* rules
  * Add pkgconfig files for 64-bit variants of libraries
  * combssq-nan-propagation.patch: new patch backported from upstream
  * Bump S-V to 4.5.0

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 02 Apr 2020 11:56:31 +0200

lapack (3.9.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/watch: update for move to Github
  * New upstream version 3.9.0
  * lapacke-makefile.patch: drop patch, applied upstream
  * d/rules: adapt for renaming of variables and path changes in upstream
    Makefiles
  * liblapack-doc: remove unused override for spelling-error-in-manpage
  * missing-lapacke-prototypes.patch: new patch, fixes unresolved symbols in
    liblapacke
  * Adapt lapack autopkgtests for a behaviour change in lapack_testing.py

  [ Matthias Klose ]
  * Don't run the 64bit autopkg tests on 32bit architectures.
    (Closes: #944468)

  [ Mo Zhou ]
  * Also exclude the rest 32bit Arches (that doko missed) for autopkgtest.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 23 Nov 2019 11:25:11 +0100

lapack (3.8.0-8) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Migrate to Python 3
    + python3.patch: new patch
    + d/control, d/tests/control: replace python by python3 (Closes: #943142)
  * Bump to debhelper compat level 12. (On mipsel, disable dh_dwz.)

  [ Mo Zhou ]
  * Fix FTBFS with doxygen 1.8.16 (Closes: #943431)
  * Add README.if-you-look-for-libcblas.so.3 to libblas-dev (Closes: #943715)

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 31 Oct 2019 20:43:00 +0800

lapack (3.8.0-7) unstable; urgency=medium

  * Revert debhelper compat level from 12 to 11, avoiding mipsel FTBFS.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 04 Oct 2019 09:32:15 +0000

lapack (3.8.0-6) unstable; urgency=medium

  * Bump S-V to 4.4.1
  * Bump to debhelper compat level 12

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 30 Sep 2019 14:23:13 +0200

lapack (3.8.0-5) experimental; urgency=medium

  [ Mo Zhou ]
  * Fixup {blas,lapack,tmglib}64-dev installation path.

  [ Sébastien Villemot ]
  * No longer compile the static 32-bit indexing libraries with -fPIC.
    Previously the static 32-bit indexing libraries were compiled with -fPIC,
    because the objects produced when building the shared libraries were not
    correctly deleted (the “make cleanlib” rule did not clean them, we now use
    “make clean” instead).
  * For 64-bit indexing, also recompile functions under INSTALL/*
    These functions were previously not recompiled, i.e. they were using 32-bit
    integers. This would lead to some weird problems, especially on big-endian
    archs.
  * For 64-bit indexing, fix the NOOPT compilation flags.
    Files compiled with NOOPT were not passed the -fdefault-integer-8 flag,
    leading to crashes and infinite loops.
  * libblas64-dev.prerm.in: fix path in alternative
  * liblapacke-dev: add missing Breaks+Replaces liblapacke (<< 3.8.0-3)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 26 Sep 2019 19:37:30 +0200

lapack (3.8.0-4) experimental; urgency=medium

  * Add header for patch makefile-blas-remove-dep.patch
  * Add a [Note] about CBLAS64 in changelog entry of (= 3.8.0-3).
  * Patch makefile to make the tests verbose (avoid timeout on buildd).

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 13 Sep 2019 05:58:09 +0000

lapack (3.8.0-3) experimental; urgency=medium

  [ Sébastien Villemot ]
  * Drop transitional package liblapack-doc-man
  * Remove -n flag in call to dh_makeshlibs. (Closes: #933353)

  [ Mo Zhou ]
  * Add myself to Uploaders.
  * Add "rename" to B-D to aid the build process.
  * control: Add packages for 64bit-indexing variants.
  * rules: Build the 64bit-indexing variant.
  * shlibs.local: Update dependency template for the 64bit-indexing variant.
  * Update installation control files.
  * Remove .install file for liblapack-pic due to merger into liblapack-dev.
  * Add postinst and prerm scripts for the 64bit-indexing variant.
  * Bump to Standards-Version 4.4.0
  * Fix alternative priority of liblapacke-dev (now 10 like other packages)
  * .pc file moved from liblapacke to liblapacke-dev
  * Don't build BLAS64/LAPACK64 on 32bit Architectures.
  * [Note] CBLAS64 is still not available in libblas64.so

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 22 Aug 2019 10:39:25 +0800

lapack (3.8.0-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.
    Fixed-Lintian-Tags: file-contains-trailing-whitespace

  [ Sébastien Villemot ]
  * Switch to new way of specifying debhelper compat level
  * Add Rules-Requires-Root: no
  * Bump to S-V 4.2.1
  * Enable LAPACKE TMG interface.
    Thanks to Samuel Thibault for the report and the patch (Closes: #914682)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 04 Dec 2018 10:44:50 +0100

lapack (3.8.0-1) unstable; urgency=medium

  * Fix d/watch by using pre-defined regexps.
  * New upstream version 3.8.0
  * fix-typos.patch: drop patch, applied upstream.
  * Bump to debhelper compat level 11.
    As a consequence, docs now installed under /u/s/d/liblapack-dev.
  * d/rules: use % as sed delimiter. (Closes: #878158)
  * Bump S-V to 4.1.4.
  * Update Vcs-* fields for move to salsa.
  * lapacke-makefile.patch: new patch taken from upstream.
    Needed to avoid missing symbols in LAPACKE.
  * Replace ADTTMP by AUTOPKGTEST_TMP in tests.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 29 Apr 2018 21:28:28 +0200

lapack (3.7.1-4) unstable; urgency=low

  * Add gcc in the dependency list of {blas,lapack}-testsuite autopkgtests.
    This is needed by dpkg-architecture.
    Thanks to Matthias Klose (Closes: #875671)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 13 Sep 2017 22:50:38 +0200

lapack (3.7.1-3) unstable; urgency=low

  * Move dh-exec from Build-Depends-Arch to Build-Depends.
    Fixes FTBFS when building only arch:all packages.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 09 Sep 2017 19:08:13 +0200

lapack (3.7.1-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * Multi-archify the package.
    + drop package libblas-common, no longer needed
    + cblas.h is now included in the alternatives system (and installed under
      /usr/include/<multiarch>)
    + liblapack_pic.a is no longer in the alternatives system
    Thanks to Dima Kogan for his help (Closes: #770290)
  * d/control: remove unneeded dependency of liblapack-pic on liblapack3.
  * Drop the dependency of libblas-dev on gfortran. (Closes: #871967)
  * Bump packages from priority extra to optional, per policy 4.0.1.
  * Bump to Standards-Version 4.1.0.

  [ Dima Kogan ]
  * Using arch-specific compilers, binutils for cross-compiling.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 09 Sep 2017 10:21:44 +0200

lapack (3.7.1-1) unstable; urgency=medium

  * New upstream version 3.7.1
  * d/copyright:
    + Reflect upstream changes.
    + Use secure URL for format.
  * d/p/test-numbering.patch: drop patch, applied upstream.
  * d/p/fix-typos.patch: former patch applied upstream, but new typos detected
    by lintian, so update the patch.
  * Drop stub files in manpages and HTML documentation.
    - d/p/doxygen-downsize.patch: new patch, disable EXTRACT_ALL in Doxygen.
    - d/p/doxygen-strips-source.patch: drop patch, merge with the former.
    (Closes: #852166)
  * Drop transitional package libblas-doc.
  * Merge liblapack-doc-man into liblapack-doc.
    Now that both packages are smaller, it makes sense to merge them.
    liblapack-doc-man is now a transitional package.
  * Ship README.md in liblapack-doc.
  * d/watch: bump to format version 4.
  * d/rules: add support for "nodoc" tag of DEB_BUILD_OPTIONS.
  * d/control:
    + Use canonical URL for Vcs-Browser.
    + Remove unnecessary versioned build-dep on dpkg-dev.
    + Use the new Build-Depends-Arch field.
    + Bump to Standards-Version 4.0.0.
    + Drop obsolete Breaks against liblapack3gf.
    + Mark liblapack-doc{,-man} as M-A foreign.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 04 Jul 2017 15:48:07 +0200

lapack (3.7.0-2) unstable; urgency=medium

  * Fix regression in libblas.a, which was empty since 3.6.1-1.
    The bug has been introduced in the fix for #813309: the $(shell LC_ALL=C ls
    tmp/*.o) construct used to have a consistent ordering of object files is
    evaluated too early, and results in an empty list. Replace it by a $$(env …)
    construct, which is evaluated after the object files have been created.
    (Closes: #863258)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 24 May 2017 16:24:37 +0200

lapack (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0
  * d/copyright: reflect upstream changes.
  * fix-typos.patch: former patch applied upstream, but new typos detected by
    lintian, so update the patch.
  * test-numbering.patch: new patch, needed for autopkgtest lapack-testsuite.
  * Bump to debhelper compat level 10.
  * Allow stderr for blas-testsuite autopkgtest. (Closes: #833567)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 29 Dec 2016 17:26:38 +0100

lapack (3.6.1-2) unstable; urgency=medium

  * d/control: add Breaks of liblapack3 against liblapack3gf. (Closes: #829152)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 15 Jul 2016 11:31:26 +0200

lapack (3.6.1-1) unstable; urgency=medium

  * Imported Upstream version 3.6.1
  * Remove patches applied upstream:
    + parallel_build.patch
    + cblas-makerule.patch
    + cblas-test-output.patch
    + cblas-zblat2.patch
  * fix-typos.patch: former patch applied upstream, but new typos detected by
    lintian, so update the patch.
  * d/control:
    + use secure URLs for Vcs-* fields.
    + bump Standards-Version to 3.9.8, no changes needed.
  * d/rules:
    + fix variable substitution in *.pc files.
    + use --dbgsym-migration option of dh_strip.
      This new option replaces --ddeb-migration.
      Accordingly update versioned B-D of debhelper.
  * Make the build reproducible.
    + remove tests results from liblapack3 doc directory.
    + use locale-independent ordering of object files when creating static lib.
    + Remove files generated by Doxygen which include build dir in pathnames.
    (Closes: #813309)
  * Make lapack-testsuite always succeed, since some failures are expected.
    (Closes: #811191)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 26 Jun 2016 15:43:55 +0200

lapack (3.6.0-2) unstable; urgency=low

  * Build deprecated routines in LAPACK and LAPACKE. (Closes: #810143)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 07 Jan 2016 11:00:31 +0100

lapack (3.6.0-1) unstable; urgency=low

  * Imported Upstream version 3.6.0
  * No longer repack upstream tarball.
  * d/copyright: rewrite in machine readable format 1.0.
  * Remove patches applied upstream.
    + cgesvd-zgesvd-stack-corruption.patch
    + zstemr-n2.patch
    + zlanhf-clanhf-norm.patch
    + dormlq_interface_check.patch
    + dlansy_1_norm_segfault.patch
    + dlange_rowmajor_inconsistent.patch
  * doxygen-exclude-binary-objects.patch: drop patch, no longer needed.
  * decouple_gcc.diff: remove patch.
    Add equivalent functionality in the make.inc rule of debian/rules.
  * lapack_testing.patch: drop useless patch.
  * fix-typos.patch: new patch, fixes various typos.
    Thanks to lintian!
  * doxygen-strip-source.patch: new patch.
    Suppresses verbatim source code from Doxygen output, to save space.
  * Build libblas* binary packages (taken over from src:blas).
    + New patches:
      - cblas-makerule.patch
      - cblas-test-output.patch
      - cblas-zblat2.patch
      - icamax-izamax-extended-precision.patch
    + libblas-doc is now a transitional package (depends on
      liblapack-doc-man). Unmaintained cinterface.pdf and faq.html have
      been dropped.
    + libblas-test: ship test data files in /usr/lib/libblas.
    + libblas-dev now suggests liblapack-doc{,-man}.
    + Patches not taken from src:blas:
      - an apparently wrong patch for crotg.
      - the big patch for dealing with info codes in cblas routines when
        used in row major order, when xerbla was overridden by the user.
        The modified behavior was debatable, and at any rate, it is not
        implemented in ATLAS and OpenBLAS.
  * Ship all manpages (including BLAS') in liblapack-doc-man.
    Drop no_blas_manpages.patch. Incidentally, all BLAS routines now have
    manpages, including the xDOT ones. (Closes: #511574)
  * LAPACK testsuite in liblapack-test:
    + dynamically link test programs.
    + Move test input data to /usr/lib/lapack.
    + Ship a script for running all tests in /u/s/doc/liblapack-test/examples.
  * liblapack{,e}-dev now suggest liblapack-doc{,-man}.
  * Drop liblapack-dbg, migrate to automatic debug packages.
  * d/liblapack-doc.dirs: delete it, no need for these empty dirs.
  * Remove useless *.md5 and *.map in liblapack-doc.
  * Add autopkgtest for BLAS and LAPACK testsuites.
  * Various improvements to package descriptions.
  * Ship lapacke.pc in liblapacke-dev.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 06 Jan 2016 11:35:04 +0100

lapack (3.5.0-5) unstable; urgency=medium

  * Fix static libraries: they were compiled with -fPIC.
  * Add missing dependency of liblapacke-dev on libblas-dev and liblapack-dev.
  * Package tmglib. (Closes: #772196)
    + new libtmglib3 and libtmglib-dev packages.
    + now include libtmglib wrappers in lapacke. In particular, drop
      d/p/lapacke_no_matgen.patch.
  * Use upstream version number for filename of shared libraries.
  * Add debug package liblapack-dbg.
  * Remove obsolete Conflicts/Replaces for lapack{,3}-{pic,test,doc}.
  * Drop transitional package liblapack3gf.
  * New patches taken from upstream:
    + dlange_rowmajor_inconsistent.patch
    + dlansy_1_norm_segfault.patch
    + dormlq_interface_check.patch

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 31 Oct 2015 22:27:52 +0100

lapack (3.5.0-4) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Add lapack-netlib.pc support with update-alternatives.

  [ Sébastien Villemot ]
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 Oct 2014 21:56:29 +0200

lapack (3.5.0-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New patches from upstream and OpenBLAS to fix bugs:
    - cgesvd-zgesvd-stack-corruption.patch
    - zlanhf-clanhf-norm.patch
    - zstemr-n2.patch
  * Remove Sylvestre Ledru from Uploaders. Thanks Sylvestre for your work!
  * ia64_ignore_testfailures.patch: drop patch, ia64 is now gone.
  * Drop obsolete code in maintainer scripts to deal with the transition
    liblapack.so.3gf => liblapack.so.3.

  [ Martin Pitt ]
  * gcc is not enough for the xerbla-c test as we also need libc6-dev and
    others. Just upgrade the dependency to build-essential. (Closes: #740174)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 07 Aug 2014 15:41:29 +0200

lapack (3.5.0-2) unstable; urgency=low

  * Do not compile the testsuite with -frecursive. Otherwise some test
    binaries allocate too much space on the stack, leading to crashes on
    mips{,el}.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 23 Nov 2013 16:08:26 +0100

lapack (3.5.0-1) unstable; urgency=low

  * New upstream release.
  * Upstream tarball is now DFSG-compatible, adapt the repackaging code.
  * Remove recursive.patch. Replace it by the -frecursive flag to gfortran, as
    recommended by upstream for fixing #693269.
  * debian/copyright: document the license of lapacke.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Ship lapacke PDF in liblapack-doc.
  * doxygen-exclude-binary-objects.patch: new patch, makes Doxygen skip binary
    objects.
  * liblapack-doc: go back to Doxygen-generated jquery.js, instead of the
    version shipped in the libjs-jquery package. Otherwise the HTML
    documentation is unusable.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 21 Nov 2013 22:40:10 +0100

lapack (3.4.2+dfsg-4) unstable; urgency=low

  * ia64_ignore_testfailures.patch: now ignore all test failures on ia64.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 21 Sep 2013 18:00:10 +0200

lapack (3.4.2+dfsg-3) unstable; urgency=low

  * Remove -funroll-all-loops from build flags. It may diminish
    performance, and creates segfaults on ia64.
  * ia64_ignore_testfailures.patch: new patch. Ignore two test failures on
    ia64.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 21 Sep 2013 14:22:36 +0200

lapack (3.4.2+dfsg-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * Bump to debhelper compat level 9
  * Simplification and improvement of debian/rules:
    + use dh
    + remove hack to workaround timeouts in testsuite
    + ship testsuite summary generated by LAPACK build system instead of
      generating our own
    + do not run testsuite if DEB_BUILD_OPTIONS contains "nocheck"
      (Closes: #718948)
    + ensure that flags from dpkg-buildflags are injected everywhere
  * Install static library in liblapacke-dev
  * Remove remnants of old system for notifying testsuite errors at
    installation of the library
  * Switch VCS to Git
  * liblapack-dev now alternatively depends on libblas.so (Closes: #695825)
  * liblapack-dev now provides liblapack.so (instead of liblapack-3.so), for
    consistency with libblas-dev
  * Do not ship a copy of jquery.js; instead link to the version from the Debian
    package
  * Fix debian/watch

  [ Julian Taylor ]
  * strip -Bsymbolic-functions from LDFLAGS. -Bsymbolic-functions breaks
    xerbla_ error handling overrides as internal calls to it will not go
    over the plt anymore. With bfd linker --dynamic-list could be used
    instead but it doesn't seem work with gold linker. (Closes: #722252)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 14 Sep 2013 21:59:36 +0200

lapack (3.4.2+dfsg-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * parallel_build.patch: improve patch by marking some Makefiles as not
    parallelizable; should fix FTBFS on kfreebsd-*

  [ Sylvestre Ledru ]
  * Upload to unstable
  * Some routines produced incorrect results in multithreaded environment
    Thanks to Michael Banck for the fix (Closes: #693269)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 06 May 2013 11:39:13 +0200

lapack (3.4.2+dfsg-1~exp1) experimental; urgency=low

  * Repackage upstream tarball. Delete non-DFSG-free files:
    lapacke/examples/example_{D,Z}GESV_rowmajor.c. (Closes: #703916)
  * Use my @debian.org email address
  * Remove obsolete DM-Upload-Allowed control flag
  * Fixes and improvements in package build logic
    + fix build-arch and build-indep rules
    + use Build-Depends-Indep field
    + enable parallel build (in particular, new patch parallel_build.patch)
    + move test failure notice from obsolete liblapack3gf to liblapack3
  * Bump Standards-Version to 3.9.4
  * Add lintian overrides in liblapack-doc-man about bad whatis entries in
    manpages (upstream does not provide the required short descriptions)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 27 Mar 2013 13:11:24 +0100

lapack (3.4.2-1~exp2) experimental; urgency=low

  * Remove an override of a rule which was failing all builds

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 29 Sep 2012 09:56:28 +0200

lapack (3.4.2-1~exp1) experimental; urgency=low

  * New upstream release
  * Decouple the build process from gcc (use /usr/bin/cc instead of gcc)
  * Remove the warning no-debconf-templates
  * Fix package-would-benefit-from-build-arch-targets
  * Remove some old comments
  * Introduce some of the hardening flags

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 26 Sep 2012 07:22:36 +0200

lapack (3.4.1-6) unstable; urgency=low

  * Ship liblapacke.so* in /usr/lib instead of /usr/lib/lapack. There is
    no reason to ship that library in a deeper directory since it is not
    managed by the lapack alternative. (Closes: #685312)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 21 Aug 2012 08:34:48 +0000

lapack (3.4.1-5) unstable; urgency=low

  * liblapack-test: move to devel/extra, to reflect override
  * liblapacke_no_matgen.patch: new patch; prevents inclusion of wrappers
    for MATGEN functions in liblapacke (Closes: #680428)
  * liblapack-doc: add missing "Files" field in doc-base entry

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 06 Jul 2012 11:03:55 +0000

lapack (3.4.1-4) unstable; urgency=low

  * liblapack3.prerm, liblapack3gf.prerm: avoid crash if liblapack.so.3gf
    already deleted
  * liblapack3gf transitional package:
    + move to oldlibs section (Closes: #679103)
    + mark as arch:all
  * Restore alternatives in shlibs file of liblapack3
  * Set DM-Upload-Allowed to yes

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Wed, 20 Jun 2012 12:36:04 +0000

lapack (3.4.1-3) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Remove debug messages

  [ Sébastien Villemot ]
  * Remove lsame(3) from liblapack-doc-man (Closes: #677461)
  * Add myself to Uploaders

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sun, 17 Jun 2012 12:01:30 +0000

lapack (3.4.1-2) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Update of Vcs-Svn and Vcs-Browser tags (Closes: #676281)

  [ Sébastien Villemot ]
  * Do not ship blas manpages in liblapack-doc-man (Closes: #677461)
  * Fix linking problem of liblapacke (Closes: #676528)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Jun 2012 22:23:50 +0200

lapack (3.4.1-1) unstable; urgency=low

  * Upload in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 02 Jun 2012 17:32:17 +0200

lapack (3.4.1-1~exp5) experimental; urgency=low

  * Fix a bad alternative link to the old library name

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 01 Jun 2012 10:27:50 +0200

lapack (3.4.1-1~exp4) experimental; urgency=low

  * Replaces and Breaks updated against the right versions of other impacted
    packages
  * Force the right version to build against libblas-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 20 May 2012 17:21:13 +0200

lapack (3.4.1-1~exp3) experimental; urgency=low

  * Moved removal from postinst to preinst

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 May 2012 16:05:45 +0200

lapack (3.4.1-1~exp2) experimental; urgency=low

  * Remove liblapack.so.3gf references before the install

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 14 May 2012 18:44:11 +0200

lapack (3.4.1-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 21 Apr 2012 17:45:44 +0200

lapack (3.4.0-1~exp3) experimental; urgency=low

  * Join modifications with blas, lapack, atlas and openblas.
    Declare the replacements of all *3gf blas & lapack implementation
    (Closes: #660607)
  * Standards-Version updated to version 3.9.3
  * graphviz is also a build dep

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 10 Apr 2012 19:35:10 +0200

lapack (3.4.0-1~exp2) experimental; urgency=low

  * Introduce back liblapack3gf as transitionnal package
    (Closes: #656039)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 19 Feb 2012 11:34:47 +0100

lapack (3.4.0-1~exp1) experimental; urgency=low

  * New upstream release
  * manpages removed and repack script updated (LP: #764445)
  * New packages liblapacke & liblapacke-dev (C library) added (LP: #767108)
  * Update the whole lapack documentation. Now uses the generated documentation
    produced by doxygen.
  * Package liblapack-doc-man introduced with the manpages of the function.
  * Remove the deprecated documentation.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 15 Nov 2011 17:07:42 +0100

lapack (3.3.1-2) experimental; urgency=low

  * Standards-Version updated to version 3.9.2
  * Get ride of the dependency on libatlas-base-dev
  * Rename liblapack3gf package => liblapack3
  * Rename liblapack.so.3gf => liblapack.so.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 03 Sep 2011 19:55:27 +0200

lapack (3.3.1-1) unstable; urgency=low

  * New upstream release
  * man fixes removed (applied upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 18 May 2011 00:03:55 +0200

lapack (3.3.0-4) unstable; urgency=low

  * Fix the manpages issues
  * Fix some alignement issues (Closes: #593705)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 04 Mar 2011 18:09:54 +0100

lapack (3.3.0-3) unstable; urgency=low

  * Upload in unstable.
  * postrm-has-useless-call-to-ldconfig and
    postinst-has-useless-call-to-ldconfig removed

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 04 Mar 2011 18:09:25 +0100

lapack (3.3.0-2) experimental; urgency=low

  * Incorporate the modifications of Laurent's NMU (Closes: #586315)
  * Fix a minor typo in the manpage of zggev. Thanks to Bastien Roucaries
    (Closes: #593705)
  * Remove the old stuff about gfortran in the description
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 20 Dec 2010 00:09:45 +0100

lapack (3.3.0-1) experimental; urgency=low

  * New upstream release
  * Standards-Version updated to version 3.9.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 13 Dec 2010 00:31:20 +0100

lapack (3.2.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Really remove alternatives for all packages during removal (Closes: #586315)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 23 Nov 2010 01:48:20 +0100

lapack (3.2.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Correctly remove alternative during package removal (Closes: #586315)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 20 Nov 2010 18:42:36 +0100

lapack (3.2.2-1) unstable; urgency=low

  * New upstream release
  * Change the order of the dependencies (Closes: #588175)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 05 Jul 2010 22:03:43 +0200

lapack (3.2.1-8) unstable; urgency=low

  * Explicit minimal dependency against blas added (Closes: #579463)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 28 Apr 2010 00:32:26 +0200

lapack (3.2.1-7) unstable; urgency=low

  * The path to blas has changed (Closes: #576931)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 08 Apr 2010 13:59:26 +0200

lapack (3.2.1-6) unstable; urgency=low

  *  Remove the old alternatives

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 07 Apr 2010 23:58:40 +0200

lapack (3.2.1-5) unstable; urgency=low

  * Upload into unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 Apr 2010 10:22:20 +0200

lapack (3.2.1-4) experimental; urgency=low

  * liblapack_pic.a is now also handle with the update-alternatives system

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 05 Mar 2010 18:35:23 +0100

lapack (3.2.1-3) experimental; urgency=low

  * Standards-Version updated to version 3.8.4
  * Package moved from pkg-scicomp to Debian Science
  * Libraries are now handled with update-alternatives
    See: http://wiki.debian.org/DebianScience/LinearAlgebraLibraries

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 03 Mar 2010 15:22:32 +0100

lapack (3.2.1-2) unstable; urgency=low

  * Change of my email address since I am now DD
  * Standards-Version updated to 3.8.3
  * DM-Upload-Allowed removed
  * cleanup in the uploader since I am pretty much the last one active

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 Oct 2009 22:34:32 +0200

lapack (3.2.1-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Mon, 04 May 2009 10:26:22 +0200

lapack (3.2.0-3) unstable; urgency=low

  * debian/rules, liblapack-doc.manpages: Install man pages of the API
    functions in /usr/share/man/man3 using .3lapack as extension.  This
    should completely avoid clashes with other packages.  Closes: #520460.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 21 Mar 2009 18:40:03 +0100

lapack (3.2.0-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Upload to unstable
  * debian/control: Bump Standards-Version to 3.8.1 (no changes needed)

  * debian/control, debian/compat:  Bump build-dependency and compatibility
    level to debhelper >= 7 (version 4 is now deprecated)

  * debian/patches/pic.patch: Drop this patch, since it interferes with
    the way the OPTS variable must be set, on a per-architecture basis
  * debian/control: As a consequence of the above, drop the
    build-dependency on cdbs
  * debian/rules: Fix the building/cleaning of make.inc and
    testing/Makefile files, which were being left behind after running
    debian/rules clean

  [ Sylvestre Ledru ]
  * typo fixed in debian/rules

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 14 Mar 2009 12:37:59 +0100

lapack (3.2.0-1) experimental; urgency=low

  [ Sylvestre Ledru ]
  * New upstream version
  * Repacking script updated (download separately the manpages)
  * Patch to enable the pic option added
  * misc depends added (to make lintian happy)

  [ Rafael Laboissiere ]
  * debian/watch: Force the use of PASV by ftp
  * debian/control:
    + Use DM-DM-Upload-Allowed field instead of XS-DM-Upload-Allowed
    + Add myself to the list of Uploaders
  * debian/orig-tar.sh: Include the LUG files into the generated tarball
  * debian/rules: Call web2png with -d option, such that original GIF, as
    well as the *.bak files are deleted when adding the LUG files to the
    tarball

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 07 Jan 2009 12:07:55 +0000

lapack (3.1.1-6) unstable; urgency=low

  * Timing tests removed (advice from upstream)
  * "set -e" added to liblapack3gf.config to make lintian happy
  * Many fixes in the man pages (makes lapack lintian free now)
  * Empty manpage zbcon removed

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Thu, 30 Oct 2008 10:41:53 +0100

lapack (3.1.1-5) unstable; urgency=low

  * rename manpage lsame & xerbla to lsame-lapack & xerblas-lapack to
    avoid duplicate man page with libblas-doc (Closes: #500660)
  * use dh_installman instead of dh_installmanpages
  * Duplicate on liblapack-test.1 removed

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Tue, 30 Sep 2008 23:16:04 +0200

lapack (3.1.1-4) unstable; urgency=low

  * manpages are now installed (Closes: #500225)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Fri, 26 Sep 2008 17:34:05 +0200

lapack (3.1.1-3) unstable; urgency=low

  * Typos fixed in the manpages (Closes: #410309)
  * Better & easier watch file (use the FTP instead of HTTP)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Thu, 14 Aug 2008 10:49:06 +0200

lapack (3.1.1-2) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Update to Standards-version 3.8.0
  * Tags Homepage, Vcs-Svn and Vcs-Browser added
  * watch file added
  * Update of copyright to make lintian happier
  * Update of doc-base section
  * doc-base-file-separator-extra-whitespaces removed
  * Myself added to uploaders

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 12 Aug 2008 13:17:52 +0200

lapack (3.1.1-1) unstable; urgency=low

  * Maintainer changed to Debian Scientific Computing Team
  * Camm Maguire and Ondrej Certik added to uploaders
  * XS-DM-Upload-Allowed: yes field added

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 17 Jul 2008 22:05:19 +0200

lapack (3.1.1-0.5) unstable; urgency=low

  * Non-maintainer upload.
  * Import changes from ubuntu:
  * Use system default gcc/gfortran instead of explict gcc-4.3
  * Don't show confusing and obscure debconf messages about lapack build
    errors on liblapack install; these errors have not been linked to
    actual bugs in the library, and the current failures look like a
    testsuite error only. Closes: 488561

 -- Riku Voipio <riku.voipio@iki.fi>  Thu, 03 Jul 2008 17:30:54 +0300

lapack (3.1.1-0.4) unstable; urgency=medium

  * Upload to unstable.
  * Move liblapack-dev, liblapack-pic, liblapack-test into section libdevel.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Feb 2008 22:48:17 +0100

lapack (3.1.1-0.3) experimental; urgency=low

  * debian/shlibs.local: s/atlas3gf-base/libatlas3gf-base/.
  * Don't run zsvdtim on s390.
  * Link using gfortran instead of gcc.
  * Don't build with -funroll-all-loops on toy archs (arm, armel, m68k).
  * debian/rules: Make sure to run the timing tests with the trun wrapper.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Feb 2008 19:09:41 +0100

lapack (3.1.1-0.2) experimental; urgency=low

  * debian/control: s/atlas-base-dev/libatlas-base-dev/.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Feb 2008 01:15:25 +0100

lapack (3.1.1-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * debian/rules:
    + Use INT_ETIME in make.inc.
  * debian/patches, debian/upstream:
    + Remove all patches.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Mon, 28 Jan 2008 22:40:25 +0530

lapack (3.0.20000531a-1.1) unstable; urgency=low

  * Explicitely build using gfortran-4.3.
  * Do not prefer libatlas3gf-base in the lapack shlibs file.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Jan 2008 19:47:32 +0100

lapack (3.0.20000531a-1) experimental; urgency=low

  * Acknowledge NMU
  * gfortran transition

 -- Camm Maguire <camm@enhanced.com>  Thu, 25 Oct 2007 11:15:23 -0400

lapack3 (3.0.20000531a-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * cdebconf transition: allow the dependency on debconf to be satisfied with
    an alternate of debconf-2.0 (Closes: #331883).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon, 20 Aug 2007 19:13:42 +0200

lapack3 (3.0.20000531a-6) unstable; urgency=high

  * Fix lapack3-dev depends typo: libblas3.so -> libblas-3.so
  * All packages save shared lib package conflict/replace with analog in
    lapack.
  * Remove explicit depends on libblas.so.3 now that libs are explicitly
    linked against these.

 -- Camm Maguire <camm@enhanced.com>  Wed, 23 Mar 2005 14:57:23 +0000

lapack3 (3.0.20000531a-5) unstable; urgency=high

  * Revise again maxwrk/minwrk fir to upstream {s,d}gesdd.f patch, Closes: #276534.
  * Try linking liblapack against libblas and libg2c.  Closes: #261354
  * Put zgess.f patch back into debian/patches, and out of main package diff

 -- Camm Maguire <camm@enhanced.com>  Fri, 15 Oct 2004 16:58:12 +0000

lapack3 (3.0.20000531a-4) unstable; urgency=low

  * Add slave alternative link to static lib in -dev package
  * Bug fix: "lapack3-doc: spurious robots.txt file", thanks to Jochen
    Voss (Closes: #248559).  Removed robots.txt from lapack3-doc
  * Fixed bad section number in manpages for lintian
  * added testing/tmp to clean target

 -- Camm Maguire <camm@enhanced.com>  Tue,  1 Jun 2004 16:48:25 +0000

lapack3 (3.0.20000531a-3) unstable; urgency=low

  * lapack-doc -> lapack3-doc in doc-base files, Closes: #233069

 -- Camm Maguire <camm@enhanced.com>  Mon, 16 Feb 2004 18:33:40 +0000

lapack3 (3.0.20000531a-2) unstable; urgency=low

  * Fix lintian errors in lapack3-test (manpages had wrong .so links)
  * Rename templates for lapack3 package naming scheme

 -- Camm Maguire <camm@enhanced.com>  Wed, 21 Jan 2004 19:42:31 +0000

lapack3 (3.0.20000531a-1) unstable; urgency=low

  * Binary incompatible changes in the blas library, against which this
    library is linked, require an increase in the soname, and a change
    in package name to allow for support for the old API in both source
    and binary form to remain in the archives.

 -- Camm Maguire <camm@enhanced.com>  Tue, 23 Dec 2003 15:08:41 +0000

lapack (3.0.20000531a-25) unstable; urgency=low

  * Fix rules to not look for g77-3.2 on ia64 and alpha

 -- Camm Maguire <camm@enhanced.com>  Thu, 31 Jul 2003 21:53:42 +0000

lapack (3.0.20000531a-24) unstable; urgency=low

  * Newer standards
  * Recompile with latest toolchain to reduce error count, Closes:
    #202321
  * default g77 all arches
  * lintian edits to lapack.3, csrot.3 and zdrot.3 manpages
  * lintian edits to copyright file

 -- Camm Maguire <camm@enhanced.com>  Wed, 30 Jul 2003 21:46:17 +0000

lapack (3.0.20000531a-23) unstable; urgency=low

  * Fix permissions for building with sudo, Closes: #177105

 -- Camm Maguire <camm@enhanced.com>  Mon, 17 Feb 2003 12:37:45 -0500

lapack (3.0.20000531a-22) unstable; urgency=low

  * prevent completely empty patches

 -- Camm Maguire <camm@enhanced.com>  Thu,  5 Dec 2002 20:11:27 -0500

lapack (3.0.20000531a-21) unstable; urgency=low

  * Patch to fix lwork in dgesdd and sgesdd
  * Upstream timing and testing updates
  * fixes to {s,d,g,z} man pages
  * updated release notes from upstream

 -- Camm Maguire <camm@enhanced.com>  Wed,  4 Dec 2002 16:46:13 -0500

lapack (3.0.20000531a-20) unstable; urgency=low

  * Fix incorrect compiler specification for alpha and ia64

 -- Camm Maguire <camm@enhanced.com>  Tue, 29 Oct 2002 11:20:03 -0500

lapack (3.0.20000531a-19) unstable; urgency=low

  * Added ${g77} to depends for lapack-dev, Closes: #149834
  * Fixed typo in templates

 -- Camm Maguire <camm@enhanced.com>  Mon, 28 Oct 2002 20:00:20 -0500

lapack (3.0.20000531a-18) unstable; urgency=high

  * Minor change to trun to redirect standard err to log file and to
    avoid eval wrapper, as killing this is not reliable
  * Increased timeout on tester output checks
  * lapack-dev in section devel

 -- Camm Maguire <camm@enhanced.com>  Mon,  8 Apr 2002 15:35:55 -0400

lapack (3.0.20000531a-17) unstable; urgency=high

  * Removed space befoe lone newline in templates, Closes: #141527,
    Closes: #141529, Closes: #141533
  * chmod +x debian/rawk
  * Allow for missing /proc/cpuinfo
  * Record compiler version in ?_results

 -- Camm Maguire <camm@enhanced.com>  Sat,  6 Apr 2002 23:53:11 -0500

lapack (3.0.20000531a-16) unstable; urgency=high

  * Removed quotes from alpha FOPTS
  * Made trun timeouts work relative to last output, instead of total
    job run time, for slow machines
  * debconf templates warning about library errors
  * lapack debconf dependency

 -- Camm Maguire <camm@enhanced.com>  Wed,  3 Apr 2002 20:45:46 -0500

lapack (3.0.20000531a-15) unstable; urgency=high

  * Removed alpha workaround -- no longer necessary
  * Run timings/tests under script capturing exit status and reporting
    it to enable build on buggy architectures (arm hppa) for now, (since
    I can't seem to get anyone to remove them from the archive, and they
    are holding up lapack everywhere else)
  * Remove -funroll-all-loops for arm
  * arm just compiles, but is useless -- runs no testers
  * changed variable structure in make.inc
  * liblapack2.so alternative
  * Arch specific patch mechanism
  * Fixed blas dependencies, Closes: #140661
  * Patch for hppa to avoid tests of error exists pending fix to the
    dynamic loader

 -- Camm Maguire <camm@enhanced.com>  Sun, 31 Mar 2002 22:05:42 -0500

lapack (3.0.20000531a-14) unstable; urgency=low

  * Work arounds for alpha compiler problems

 -- Camm Maguire <camm@enhanced.com>  Wed, 20 Mar 2002 17:11:02 -0500

lapack (3.0.20000531a-13) unstable; urgency=low

  * g77-3.0 ->g77 for s390

 -- Camm Maguire <camm@enhanced.com>  Sun, 17 Mar 2002 14:00:24 -0500

lapack (3.0.20000531a-12) unstable; urgency=low

  * g77-3.0 -O0 for S390

 -- Camm Maguire <camm@enhanced.com>  Sun, 17 Mar 2002 06:15:56 -0500

lapack (3.0.20000531a-11) unstable; urgency=low

  * Depend on blas2-dev -> blas-dev | blas2-dev, Closes: #138413

 -- Camm Maguire <camm@enhanced.com>  Fri, 15 Mar 2002 16:29:52 -0500

lapack (3.0.20000531a-10) unstable; urgency=low

  * Removed m68k specific Build-depends

 -- Camm Maguire <camm@enhanced.com>  Sun, 10 Mar 2002 07:18:39 -0500

lapack (3.0.20000531a-9) unstable; urgency=low

  * Removed m68k specific compile options, Closes: #137346

 -- Camm Maguire <camm@enhanced.com>  Fri,  8 Mar 2002 13:12:20 -0500

lapack (3.0.20000531a-8) unstable; urgency=low

  * Copy libblas to working directory, elimnate LD_PRELOAD in rules

 -- Camm Maguire <camm@enhanced.com>  Fri,  1 Mar 2002 23:09:23 -0500

lapack (3.0.20000531a-7) unstable; urgency=low

  * Another attempt at fixing permission denied problems on certain
    autobuilders

 -- Camm Maguire <camm@enhanced.com>  Sat, 23 Feb 2002 14:07:44 -0500

lapack (3.0.20000531a-6) unstable; urgency=low

  * Reworked descriptions, Closes: #135041
  * chmod go+rw on touched stampt files to clear up permission problems
    on mips,mipsel, and alpha
  * Added filenames to timing_results and testing_results
  * Added semi-real time display of testing/timing results for clearer
    autobuilder output and job detection

 -- Camm Maguire <camm@enhanced.com>  Thu, 21 Feb 2002 13:26:55 -0500

lapack (3.0.20000531a-5) unstable; urgency=low

  * Fixed arch detection in rules
  * Added PICOPTS and FOPTS to NOOPT in make.inc

 -- Camm Maguire <camm@enhanced.com>  Mon, 18 Feb 2002 20:44:23 -0500

lapack (3.0.20000531a-4) unstable; urgency=low

  * Prepend instead of cloberring LD_LIBRARY_PATH

 -- Camm Maguire <camm@enhanced.com>  Sun, 17 Feb 2002 22:15:59 -0500

lapack (3.0.20000531a-3) unstable; urgency=low

  * Removed empty patch files

 -- Camm Maguire <camm@enhanced.com>  Sun, 17 Feb 2002 13:06:53 -0500

lapack (3.0.20000531a-2) unstable; urgency=low

  * Edited lapack.3 manpage, Closes: #99385
  * Remove zbcon.3 manpage, Closes: #99386
  * Copyright elaboration, Closes: #101683

 -- Camm Maguire <camm@enhanced.com>  Sun, 17 Feb 2002 00:15:36 -0500

lapack (3.0.20000531a-1) unstable; urgency=low

  * Remove html.bak files from lug source

 -- Camm Maguire <camm@enhanced.com>  Sat, 16 Feb 2002 10:55:21 -0500

lapack (3.0.20000531-2) unstable; urgency=low

  * ORed construction in shlibs and shlibs.local: liblapack 2
    atlas2-base | lapack | lapack2

 -- Camm Maguire <camm@enhanced.com>  Fri, 15 Feb 2002 23:44:30 -0500

lapack (3.0.20000531-1) unstable; urgency=low

  * New upstream release
  * New maintainer
  * New release Closes: #111374
  * New maintainer Closes: #101341
  * New maintainer Closes: #59302
  * New maintainer Closes: #115397
  * Added Lapack User's Guide, Release Notes, and FAQ to documentation
  * Incorporated manpages into source, obviating lapack-doc source
    package
  * web2png on Lapack User's Guide

 -- Camm Maguire <camm@enhanced.com>  Wed, 13 Feb 2002 22:49:09 -0500

lapack (3.0-5.4) unstable; urgency=low

  * NMU
  * Build with g77-3.0 on ia64. g77 version 2.96 segfaults.
    Closes: #114341.

 -- John Daily <jdaily@progeny.com>  Wed, 10 Oct 2001 11:21:03 -0500

lapack (3.0-5.3) frozen unstable; urgency=low

  * NMU, with maintainer permission
  * Put virtual package lapack2 in dependency field of shlibs

 -- Camm Maguire <camm@enhanced.com>  Fri, 20 Jul 2001 16:44:34 -0400

lapack (3.0-5.2) frozen unstable; urgency=low

  * NMU, with permission from maintainer
  * Added support for lapack2 virtual package
  * Build-depends
  * Applied m68k patch using fort77 and -ffloat-store, Closes: #101341
  * Saved .o files for shared and static builds in temporary directories
    debian/shared and debian/static, respectively, to allow packages
    needing access to these object (e.g. atlas) to access them by
    executing 'debian/rules build', Closes: #59302

 -- Camm Maguire <camm@enhanced.com>  Wed, 18 Jul 2001 13:34:01 -0400

lapack (3.0-5.1) frozen unstable; urgency=low

  * Source NMU to fix alpha build situation (requires -mieee and can now
    be built without f2c) with maintainer permission.

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Wed,  1 Mar 2000 09:39:52 -0500

lapack (3.0-5) frozen unstable; urgency=low

  * New Maintainer (should have been done a few uploads ago)
  * use f2c to compile on alpha to avoid bug in gcc. Closes: bug#55253, #48661
  * Now uses DEB_HOST_GNU_CPU to set the arch

 -- James A. Treacy <treacy@debian.org>  Tue, 18 Jan 2000 13:22:12 -0500

lapack (3.0-4) unstable; urgency=low

  * recompiled with latest blas package. Closes: #52256

 -- James A. Treacy <treacy@debian.org>  Wed,  5 Jan 2000 13:52:56 -0500

lapack (3.0-3) unstable; urgency=low

  * lapack-dev depends on blas-dev. Closes: #48462, #48307
  * major version number for lib reverted to 2 since interface hasn't
    changed. Closes: #48081

 -- James A. Treacy <treacy@debian.org>  Thu, 28 Oct 1999 11:28:08 -0400

lapack (3.0-2) unstable; urgency=low

  * Conflicts with previous versions. Fixes Bug #48078

 -- James A. Treacy <treacy@debian.org>  Sat, 23 Oct 1999 03:08:47 -0400

lapack (3.0-1) unstable; urgency=low

  * New Maintainer
  * New upstream version
  * blas is now a separate package (with its own source)

 -- James A. Treacy <treacy@debian.org>  Mon, 18 Oct 1999 12:03:03 -0400

lapack (2.0.1-2.1) frozen unstable; urgency=low

  * Non maintainer upload.
  * Fixed lapack man page to be parseable by whatis (Fixes #12073).

 -- Matthias Klose <doko@debian.org>  Fri, 15 May 1998 13:54:30 +0200

lapack (2.0.1-2) frozen unstable; urgency=low

  * Non maintainer release
  * Recompiled for libc6 (Fixes #21487). Used g77-2.90.29 (egcs-1.0.3a).
  * Fixed some open bugs (Fixes #13701, #16538, #16661, #17120).
  * Already fixed: #8986: #8993.
  * Updated standards version.
  * Converted to use debhelper

 -- Matthias Klose <doko@debian.org>  Tue, 12 May 1998 14:21:40 +0200

lapack (2.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Sue Campbell <sacampbe@mercator.math.uwaterloo.ca>  Tue, 7 Jan 1997 15:08:06 -0500
